"Vim script for adapting Betacode to SPIonic
"Maintainer: Mihail Radu Solcan
"Last updated: 2007-08-21
"Copyright: GPL
"No waranty. Use at your own risk



:function! BSP()
	:normal gg
	:let @a="*"
"parcurgem fişierul rând cu rând
	:while line(".") <= line("$")
		"parcurgem fiecare rând caracter cu caracter
		:while col('.') <= col("$")-1
         "identificăm caracterul aflat sub cursor şi-l punem în variabila c
			:let c = getline(line("."))[col(".") - 1]
			   :if c=='*'
				   :normal x
				   :let c = getline(line("."))[col(".") - 1]
					"activăm selecţia vizuală dacă c nu e literă
					:if c!~"[a-zA-Z]"
						:normal v
                  "selectăm până la prima literă
				      :while c!~"[a-zA-Z]"
					      :normal l
					      :let c = getline(line("."))[col(".") - 1]
				      :endwhile
						:normal hx
				      "vedem dacă litera este minusculă
				      :if c=~"[a-z]"
					      :normal ~P
					   :else
					      :normal p
				      :endif
					:else
				      :if c=~"[a-z]"
					      :normal ~
				      :endif
               :endif "terminat eliminare uz asterisc
			   :elseif c=~"[A-Z]"
				"dacă e o majusculă neprecedată de asterisc
				   :normal ~h
			   :endif
			  "verificăm dacă suntem la ultimul caracter
   		   :if col(".") == col("$")-1
            	:break
      	   :endif
			   "trecem la caracterul următor
			  :normal l
	 :endwhile
   	"încheiat parcurgerea rândului caracter cu caracter
		"verificăm dacă suntem pe ultimul rând
		:if line(".") == line("$")
      	:return
   	:endif
		"trecem la rândul următor
		:normal ^j
	:endwhile
"încheiat while de parcurgere rând cu rând
:endfunction

:call BSP() 

"substituţii pentru sigma final
:%s/s$/j/e
:%s/s /j /ge 
:%s/s2/j/ge 
:%s/s,/j,/ge 
:%s/s\./j\./ge 
:%s/s:/j:/ge 
:%s/s;/j;/ge 
:%s/s]/j]/ge
:%s/s>/j>/ge
:%s/s</j</ge
:%s/s\n/j\r/ge 


