"Vim script for converting  Greek in Unicode to XML entities
"Maintainer: Mihail Radu Solcan
"Last updated: 2007-08-21
"Copyright: GPL
"No waranty. Use at your own risk.


" Betacode din 4 semne
:%s/ᾂ/\&#x1F82;/ge
:%s/ᾃ/\&#x1F83;/ge
:%s/ᾄ/\&#x1F84;/ge
:%s/ᾅ/\&#x1F85;/ge
:%s/ᾆ/\&#x1F86;/ge
:%s/ᾇ/\&#x1F87;/ge
:%s/ᾊ/\&#x1F8A;/ge
:%s/ᾋ/\&#x1F8B;/ge
:%s/ᾌ/\&#x1F8C;/ge
:%s/ᾍ/\&#x1F8D;/ge
:%s/ᾎ/\&#x1F8E;/ge
:%s/ᾏ/\&#x1F8F;/ge
:%s/ᾒ/\&#x1F92;/ge
:%s/ᾓ/\&#x1F93;/ge
:%s/ᾔ/\&#x1F94;/ge
:%s/ᾕ/\&#x1F95;/ge
:%s/ᾖ/\&#x1F96;/ge
:%s/ᾗ/\&#x1F97;/ge
:%s/ᾚ/\&#x1F9A;/ge
:%s/ᾛ/\&#x1F9B;/ge
:%s/ᾜ/\&#x1F9C;/ge
:%s/ᾝ/\&#x1F9D;/ge
:%s/ᾞ/\&#x1F9E;/ge
:%s/ᾟ/\&#x1F9F;/ge
:%s/ᾢ/\&#x1FA2;/ge
:%s/ᾣ/\&#x1FA3;/ge
:%s/ᾤ/\&#x1FA4;/ge
:%s/ᾥ/\&#x1FA5;/ge
:%s/ᾦ/\&#x1FA6;/ge
:%s/ᾧ/\&#x1FA7;/ge
:%s/ᾪ/\&#x1FAA;/ge
:%s/ᾫ/\&#x1FAB;/ge
:%s/ᾬ/\&#x1FAC;/ge
:%s/ᾭ/\&#x1FAD;/ge
:%s/ᾮ/\&#x1FAE;/ge
:%s/ᾯ/\&#x1FAF;/ge
:%s/ᾰ/\&#x1FB0;/ge
:%s/ᾱ/\&#x1FB1;/ge
:%s/Ᾰ/\&#x1FB8;/ge
:%s/Ᾱ/\&#x1FB9;/ge
:%s/ῐ/\&#x1FD0;/ge
:%s/ῑ/\&#x1FD1;/ge
:%s/Ῐ/\&#x1FD8;/ge
:%s/Ῑ/\&#x1FD9;/ge
:%s/ῠ/\&#x1FE0;/ge
:%s/ῡ/\&#x1FE1;/ge
:%s/Ῠ/\&#x1FE8;/ge
:%s/Ῡ/\&#x1FE9;/ge

"Betacode din 3 semne

:%s/ἂ/\&#x1F02;/ge
:%s/ἃ/\&#x1F03;/ge
:%s/ἄ/\&#x1F04;/ge
:%s/ἅ/\&#x1F05;/ge
:%s/ἆ/\&#x1F06;/ge
:%s/ἇ/\&#x1F07;/ge
:%s/Ἂ/\&#x1F0A;/ge
:%s/Ἃ/\&#x1F0B;/ge
:%s/Ἄ/\&#x1F0C;/ge
:%s/Ἅ/\&#x1F0D;/ge
:%s/Ἆ/\&#x1F0E;/ge
:%s/Ἇ/\&#x1F0F;/ge
:%s/ἒ/\&#x1F12;/ge
:%s/ἓ/\&#x1F13;/ge
:%s/ἔ/\&#x1F14;/ge
:%s/ἕ/\&#x1F15;/ge
:%s/Ἒ/\&#x1F1A;/ge
:%s/Ἓ/\&#x1F1B;/ge
:%s/Ἔ/\&#x1F1C;/ge
:%s/Ἕ/\&#x1F1D;/ge
:%s/ἢ/\&#x1F22;/ge
:%s/ἣ/\&#x1F23;/ge
:%s/ἤ/\&#x1F24;/ge
:%s/ἥ/\&#x1F25;/ge
:%s/ἦ/\&#x1F26;/ge
:%s/ἧ/\&#x1F27;/ge
:%s/Ἢ/\&#x1F2A;/ge
:%s/Ἣ/\&#x1F2B;/ge
:%s/Ἤ/\&#x1F2C;/ge
:%s/Ἥ/\&#x1F2D;/ge
:%s/Ἦ/\&#x1F2E;/ge
:%s/Ἧ/\&#x1F2F;/ge
:%s/ἲ/\&#x1F32;/ge
:%s/ἳ/\&#x1F33;/ge
:%s/ἴ/\&#x1F34;/ge
:%s/ἵ/\&#x1F35;/ge
:%s/ἶ/\&#x1F36;/ge
:%s/ἷ/\&#x1F37;/ge
:%s/Ἲ/\&#x1F3A;/ge
:%s/Ἳ/\&#x1F3B;/ge
:%s/Ἴ/\&#x1F3C;/ge
:%s/Ἵ/\&#x1F3D;/ge
:%s/Ἷ/\&#x1F3F;/ge
:%s/ὂ/\&#x1F42;/ge
:%s/ὃ/\&#x1F43;/ge
:%s/ὄ/\&#x1F44;/ge
:%s/ὅ/\&#x1F45;/ge
:%s/Ὂ/\&#x1F4A;/ge
:%s/Ὄ/\&#x1F4C;/ge
:%s/Ὅ/\&#x1F4D;/ge
:%s/ὒ/\&#x1F52;/ge
:%s/ὓ/\&#x1F53;/ge
:%s/ὔ/\&#x1F54;/ge
:%s/ὕ/\&#x1F55;/ge
:%s/ὖ/\&#x1F56;/ge
:%s/ὗ/\&#x1F57;/ge
:%s/Ὓ/\&#x1F5B;/ge
:%s/Ὕ/\&#x1F5D;/ge
:%s/Ὗ/\&#x1F5F;/ge
:%s/ὢ/\&#x1F62;/ge
:%s/ὣ/\&#x1F63;/ge
:%s/ὤ/\&#x1F64;/ge
:%s/ὥ/\&#x1F65;/ge
:%s/ὦ/\&#x1F66;/ge
:%s/ὧ/\&#x1F67;/ge
:%s/Ὢ/\&#x1F6A;/ge
:%s/Ὣ/\&#x1F6B;/ge
:%s/Ὤ/\&#x1F6C;/ge
:%s/Ὥ/\&#x1F6D;/ge
:%s/Ὦ/\&#x1F6E;/ge
:%s/Ὧ/\&#x1F6F;/ge
:%s/ᾀ/\&#x1F80;/ge
:%s/ᾁ/\&#x1F81;/ge
:%s/ᾈ/\&#x1F88;/ge
:%s/ᾉ/\&#x1F89;/ge
:%s/ᾐ/\&#x1F90;/ge
:%s/ᾑ/\&#x1F91;/ge
:%s/ᾘ/\&#x1F98;/ge
:%s/ᾙ/\&#x1F99;/ge
:%s/ᾠ/\&#x1FA0;/ge
:%s/ᾡ/\&#x1FA1;/ge
:%s/ᾨ/\&#x1FA8;/ge
:%s/ᾩ/\&#x1FA9;/ge
:%s/ᾲ/\&#x1FB2;/ge
:%s/ᾴ/\&#x1FB4;/ge
:%s/ᾷ/\&#x1FB7;/ge
:%s/ῂ/\&#x1FC2;/ge
:%s/ῄ/\&#x1FC4;/ge
:%s/ῇ/\&#x1FC7;/ge
:%s/ῒ/\&#x1FD2;/ge
:%s/ΐ/\&#x1FD3;/ge
:%s/ῗ/\&#x1FD7;/ge
:%s/ῢ/\&#x1FE2;/ge
:%s/ΰ/\&#x1FE3;/ge
:%s/ῧ/\&#x1FE7;/ge
:%s/ῲ/\&#x1FF2;/ge
:%s/ῴ/\&#x1FF4;/ge
:%s/ῷ/\&#x1FF7;/ge

"Betacode din 2 semne

:%s/Ϲ/\&#x03F9;/ge
:%s/ς/\&#x03C2;/ge
:%s/ϲ/\&#x03F2;/ge
:%s/ϊ/\&#x03CA;/ge
:%s/ϋ/\&#x03CB;/ge
:%s/ἀ/\&#x1F00;/ge
:%s/ἁ/\&#x1F01;/ge
:%s/Ἀ/\&#x1F08;/ge
:%s/Ἁ/\&#x1F09;/ge
:%s/ἐ/\&#x1F10;/ge
:%s/ἑ/\&#x1F11;/ge
:%s/Ἐ/\&#x1F18;/ge
:%s/Ἑ/\&#x1F19;/ge
:%s/ἠ/\&#x1F20;/ge
:%s/ἡ/\&#x1F21;/ge
:%s/Ἠ/\&#x1F28;/ge
:%s/Ἡ/\&#x1F29;/ge
:%s/ἰ/\&#x1F30;/ge
:%s/ἱ/\&#x1F31;/ge
:%s/Ἰ/\&#x1F38;/ge
:%s/Ἱ/\&#x1F39;/ge
:%s/ὀ/\&#x1F40;/ge
:%s/ὁ/\&#x1F41;/ge
:%s/Ὀ/\&#x1F48;/ge
:%s/Ὁ/\&#x1F49;/ge
:%s/ὐ/\&#x1F50;/ge
:%s/ὑ/\&#x1F51;/ge
:%s/Ὑ/\&#x1F59;/ge
:%s/ὠ/\&#x1F60;/ge
:%s/ὡ/\&#x1F61;/ge
:%s/Ὠ/\&#x1F68;/ge
:%s/Ὡ/\&#x1F69;/ge
:%s/ὰ/\&#x1F70;/ge
:%s/ά/\&#x1F71;/ge
:%s/ὲ/\&#x1F72;/ge
:%s/έ/\&#x1F73;/ge
:%s/ὴ/\&#x1F74;/ge
:%s/ή/\&#x1F75;/ge
:%s/ὶ/\&#x1F76;/ge
:%s/ί/\&#x1F77;/ge
:%s/ὸ/\&#x1F78;/ge
:%s/ό/\&#x1F79;/ge
:%s/ὺ/\&#x1F7A;/ge
:%s/ύ/\&#x1F7B;/ge
:%s/ὼ/\&#x1F7C;/ge
:%s/ώ/\&#x1F7D;/ge
:%s/ᾳ/\&#x1FB3;/ge
:%s/ᾶ/\&#x1FB6;/ge
:%s/Ὰ/\&#x1FBA;/ge
:%s/Ά/\&#x1FBB;/ge
:%s/ᾼ/\&#x1FBC;/ge
:%s/ῃ/\&#x1FC3;/ge
:%s/ῆ/\&#x1FC6;/ge
:%s/Ὲ/\&#x1FC8;/ge
:%s/Έ/\&#x1FC9;/ge
:%s/Ὴ/\&#x1FCA;/ge
:%s/Ή/\&#x1FCB;/ge
:%s/ῌ/\&#x1FCC;/ge
:%s/ῖ/\&#x1FD6;/ge
:%s/Ὶ/\&#x1FDA;/ge
:%s/Ί/\&#x1FDB;/ge
:%s/ῤ/\&#x1FE4;/ge
:%s/ῥ/\&#x1FE5;/ge
:%s/ῦ/\&#x1FE6;/ge
:%s/Ὺ/\&#x1FEA;/ge
:%s/Ύ/\&#x1FEB;/ge
:%s/Ῥ/\&#x1FEC;/ge
:%s/ῳ/\&#x1FF3;/ge
:%s/ῶ/\&#x1FF6;/ge
:%s/Ὸ/\&#x1FF8;/ge
:%s/Ό/\&#x1FF9;/ge
:%s/Ὼ/\&#x1FFA;/ge
:%s/Ώ/\&#x1FFB;/ge
:%s/ῼ/\&#x1FFC;/ge

" Litere mari

:%s/Α/\&#x0391;/ge
:%s/Β/\&#x0392;/ge
:%s/Γ/\&#x0393;/ge
:%s/Δ/\&#x0394;/ge
:%s/Ε/\&#x0395;/ge
:%s/Ζ/\&#x0396;/ge
:%s/Η/\&#x0397;/ge
:%s/Θ/\&#x0398;/ge
:%s/Ι/\&#x0399;/ge
:%s/Κ/\&#x039A;/ge
:%s/Λ/\&#x039B;/ge
:%s/Μ/\&#x039C;/ge
:%s/Ν/\&#x039D;/ge
:%s/Ξ/\&#x039E;/ge
:%s/Ο/\&#x039F;/ge
:%s/Π/\&#x03A0;/ge
:%s/Ρ/\&#x03A1;/ge
:%s/Σ/\&#x03A3;/ge
:%s/Τ/\&#x03A4;/ge
:%s/Υ/\&#x03A5;/ge
:%s/Φ/\&#x03A6;/ge
:%s/Χ/\&#x03A7;/ge
:%s/Ψ/\&#x03A8;/ge
:%s/Ω/\&#x03A9;/ge

" Litere mici

:%s/α/\&#x03B1;/ge
:%s/β/\&#x03B2;/ge
:%s/γ/\&#x03B3;/ge
:%s/δ/\&#x03B4;/ge
:%s/ε/\&#x03B5;/ge
:%s/ζ/\&#x03B6;/ge
:%s/η/\&#x03B7;/ge
:%s/θ/\&#x03B8;/ge
:%s/ι/\&#x03B9;/ge
:%s/κ/\&#x03BA;/ge
:%s/λ/\&#x03BB;/ge
:%s/μ/\&#x03BC;/ge
:%s/ν/\&#x03BD;/ge
:%s/ξ/\&#x03BE;/ge
:%s/ο/\&#x03BF;/ge
:%s/π/\&#x03C0;/ge
:%s/ρ/\&#x03C1;/ge
:%s/ς/\&#x03C2;/ge
:%s/σ/\&#x03C3;/ge
:%s/τ/\&#x03C4;/ge
:%s/υ/\&#x03C5;/ge
:%s/φ/\&#x03C6;/ge
:%s/χ/\&#x03C7;/ge
:%s/ψ/\&#x03C8;/ge
:%s/ω/\&#x03C9;/ge

